import { OnInit, EventEmitter } from '@angular/core';
import { FrequencyService } from '../frequency.service';
import * as i0 from "@angular/core";
export declare class FrequencyWeeklyComponent implements OnInit {
    private frequencyService;
    mode: any;
    weeklyInterval: string;
    weeklyInput: number;
    weeklyFailed: number;
    weeklyWindow: number;
    weeklyLifeCycleStart: Date;
    weeklyLifeCycleEndTime: Date;
    weeklyLifecycleOccurance: number;
    weeklySeletedLifecycleType: number;
    selectedWeekly: number[];
    weeklyDeactivatedValue: number;
    dayArray: Array<string>;
    frequencyInfo: any;
    lifecycleDetails: any;
    pageType: 'responsibility' | 'policy';
    startDate: number;
    frequencyData: any;
    frequencyDetails: EventEmitter<any>;
    constructor(frequencyService: FrequencyService);
    ngOnInit(): void;
    populateFrequency(): void;
    onTimeChanged(event: string): void;
    valueChangedFirst(event: any): void;
    onDaySelected(event: any): void;
    lifecycleChange(event: any): void;
    onValueChange(event: any): void;
    getWeeklyFrequency(): void;
    getPlaceholder(weeklyInput: number): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<FrequencyWeeklyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FrequencyWeeklyComponent, "app-frequency-weekly", never, { "mode": { "alias": "mode"; "required": false; }; "pageType": { "alias": "pageType"; "required": false; }; "startDate": { "alias": "startDate"; "required": false; }; "frequencyData": { "alias": "frequencyData"; "required": false; }; }, { "frequencyDetails": "frequencyDetails"; }, never, never, false, never>;
}
